## Abstract {.page_break_before}

Open, collaborative research is a powerful paradigm that can immensely strengthen the scientific process by integrating broad and diverse expertise.
However, traditional research and multi-author writing processes break down at scale.
We present new software named Manubot, available at <https://manubot.org>, to address the challenges of open scholarly writing.
Manubot adopts the contribution workflow used by many large-scale open source software projects to enable collaborative authoring of scholarly manuscripts.
With Manubot, manuscripts are written in Markdown and stored in a Git repository to precisely track changes over time.
By hosting manuscript repositories publicly, such as on GitHub, multiple authors can simultaneously propose and review changes.
A cloud service automatically evaluates proposed changes to catch errors.
Publication with Manubot is continuous:
When a manuscript's source changes, the rendered outputs are rebuilt and republished to a webpage.
Manubot automates bibliographic tasks by implementing citation by identifier, where users cite persistent identifiers (e.g. DOIs, PubMed IDs, ISBNs, URLs), whose metadata is then retrieved and converted to a user-specified style.
Manubot modernizes publishing to align with the ideals of open science by making it transparent, reproducible, immediate, versioned, collaborative, and free of charge.

## Author summary

Traditionally, scholarly manuscripts have been written in private by a predefined team of collaborators.
But now the internet enables realtime open science, where project communication occurs online in a public venue and anyone is able to contribute.
Dispersed teams of online contributors require new tools to jointly prepare manuscripts.

Existing tools fail to scale beyond tens of authors and struggle to support iterative refinement of proposed changes.
Therefore, we created a system called Manubot for writing manuscripts based on collaborative version control.
Manubot adopts the workflow from open source software development, which has enabled hundreds of contributors to simultaneously develop complex codebases such as Python and Linux, and applies it to open collaborative writing.

Manubot also addresses other shortcomings of current publishing tools.
Specifically, all changes to a manuscript are tracked, enabling transparency and better attribution of credit.
Manubot automates many tasks, including creating the bibliography and deploying the manuscript as a webpage.
Manubot webpages preserve old versions and provide a simple yet interactive interface for reading.
As such, Manubot is a suitable foundation for next-generation preprints.
Manuscript readers have ample opportunity to not only provide public peer review but also to contribute improvements, before and after journal publication.
